### Callable

- generateKeyPair(type: "rsa", options: RSAKeyPairOptions<"pem", "pem">, callback: function): void
- generateKeyPair(type: "rsa", options: RSAKeyPairOptions<"pem", "der">, callback: function): void
- generateKeyPair(type: "rsa", options: RSAKeyPairOptions<"der", "pem">, callback: function): void
- generateKeyPair(type: "rsa", options: RSAKeyPairOptions<"der", "der">, callback: function): void
- generateKeyPair(type: "rsa", options: RSAKeyPairKeyObjectOptions, callback: function): void
- generateKeyPair(type: "dsa", options: DSAKeyPairOptions<"pem", "pem">, callback: function): void
- generateKeyPair(type: "dsa", options: DSAKeyPairOptions<"pem", "der">, callback: function): void
- generateKeyPair(type: "dsa", options: DSAKeyPairOptions<"der", "pem">, callback: function): void
- generateKeyPair(type: "dsa", options: DSAKeyPairOptions<"der", "der">, callback: function): void
- generateKeyPair(type: "dsa", options: DSAKeyPairKeyObjectOptions, callback: function): void
- generateKeyPair(type: "ec", options: ECKeyPairOptions<"pem", "pem">, callback: function): void
- generateKeyPair(type: "ec", options: ECKeyPairOptions<"pem", "der">, callback: function): void
- generateKeyPair(type: "ec", options: ECKeyPairOptions<"der", "pem">, callback: function): void
- generateKeyPair(type: "ec", options: ECKeyPairOptions<"der", "der">, callback: function): void
- generateKeyPair(type: "ec", options: ECKeyPairKeyObjectOptions, callback: function): void

- - Defined in node_modules/@types/node/crypto.d.ts:517

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"pem", "pem">

  - ##### callback: function

    - - (err: Error | null, publicKey: string, privateKey: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: string

        - ##### privateKey: string

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:518

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"pem", "der">

  - ##### callback: function

    - - (err: Error | null, publicKey: string, privateKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: string

        - ##### privateKey: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:519

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"der", "pem">

  - ##### callback: function

    - - (err: Error | null, publicKey: Buffer, privateKey: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: Buffer

        - ##### privateKey: string

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:520

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"der", "der">

  - ##### callback: function

    - - (err: Error | null, publicKey: Buffer, privateKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: Buffer

        - ##### privateKey: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:521

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairKeyObjectOptions

  - ##### callback: function

    - - (err: Error | null, publicKey: KeyObject, privateKey: KeyObject): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: KeyObject

        - ##### privateKey: KeyObject

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:523

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"pem", "pem">

  - ##### callback: function

    - - (err: Error | null, publicKey: string, privateKey: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: string

        - ##### privateKey: string

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:524

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"pem", "der">

  - ##### callback: function

    - - (err: Error | null, publicKey: string, privateKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: string

        - ##### privateKey: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:525

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"der", "pem">

  - ##### callback: function

    - - (err: Error | null, publicKey: Buffer, privateKey: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: Buffer

        - ##### privateKey: string

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:526

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"der", "der">

  - ##### callback: function

    - - (err: Error | null, publicKey: Buffer, privateKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: Buffer

        - ##### privateKey: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:527

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairKeyObjectOptions

  - ##### callback: function

    - - (err: Error | null, publicKey: KeyObject, privateKey: KeyObject): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: KeyObject

        - ##### privateKey: KeyObject

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:529

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"pem", "pem">

  - ##### callback: function

    - - (err: Error | null, publicKey: string, privateKey: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: string

        - ##### privateKey: string

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:530

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"pem", "der">

  - ##### callback: function

    - - (err: Error | null, publicKey: string, privateKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: string

        - ##### privateKey: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:531

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"der", "pem">

  - ##### callback: function

    - - (err: Error | null, publicKey: Buffer, privateKey: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: Buffer

        - ##### privateKey: string

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:532

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"der", "der">

  - ##### callback: function

    - - (err: Error | null, publicKey: Buffer, privateKey: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: Buffer

        - ##### privateKey: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:533

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairKeyObjectOptions

  - ##### callback: function

    - - (err: Error | null, publicKey: KeyObject, privateKey: KeyObject): void

      - #### Parameters

        - ##### err: Error | null

        - ##### publicKey: KeyObject

        - ##### privateKey: KeyObject

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(type: "rsa", options: RSAKeyPairOptions<"pem", "pem">): Promise<object>
- __promisify__(type: "rsa", options: RSAKeyPairOptions<"pem", "der">): Promise<object>
- __promisify__(type: "rsa", options: RSAKeyPairOptions<"der", "pem">): Promise<object>
- __promisify__(type: "rsa", options: RSAKeyPairOptions<"der", "der">): Promise<object>
- __promisify__(type: "rsa", options: RSAKeyPairKeyObjectOptions): Promise<KeyPairKeyObjectResult>
- __promisify__(type: "dsa", options: DSAKeyPairOptions<"pem", "pem">): Promise<object>
- __promisify__(type: "dsa", options: DSAKeyPairOptions<"pem", "der">): Promise<object>
- __promisify__(type: "dsa", options: DSAKeyPairOptions<"der", "pem">): Promise<object>
- __promisify__(type: "dsa", options: DSAKeyPairOptions<"der", "der">): Promise<object>
- __promisify__(type: "dsa", options: DSAKeyPairKeyObjectOptions): Promise<KeyPairKeyObjectResult>
- __promisify__(type: "ec", options: ECKeyPairOptions<"pem", "pem">): Promise<object>
- __promisify__(type: "ec", options: ECKeyPairOptions<"pem", "der">): Promise<object>
- __promisify__(type: "ec", options: ECKeyPairOptions<"der", "pem">): Promise<object>
- __promisify__(type: "ec", options: ECKeyPairOptions<"der", "der">): Promise<object>
- __promisify__(type: "ec", options: ECKeyPairKeyObjectOptions): Promise<KeyPairKeyObjectResult>

- - Defined in node_modules/@types/node/crypto.d.ts:536

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"pem", "pem">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:537

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"pem", "der">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:538

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"der", "pem">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:539

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairOptions<"der", "der">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:540

  #### Parameters

  - ##### type: "rsa"

  - ##### options: RSAKeyPairKeyObjectOptions

  #### Returns Promise<KeyPairKeyObjectResult>

- - Defined in node_modules/@types/node/crypto.d.ts:542

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"pem", "pem">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:543

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"pem", "der">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:544

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"der", "pem">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:545

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairOptions<"der", "der">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:546

  #### Parameters

  - ##### type: "dsa"

  - ##### options: DSAKeyPairKeyObjectOptions

  #### Returns Promise<KeyPairKeyObjectResult>

- - Defined in node_modules/@types/node/crypto.d.ts:548

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"pem", "pem">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:549

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"pem", "der">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:550

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"der", "pem">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:551

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairOptions<"der", "der">

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/crypto.d.ts:552

  #### Parameters

  - ##### type: "ec"

  - ##### options: ECKeyPairKeyObjectOptions

  #### Returns Promise<KeyPairKeyObjectResult>

Generated using TypeDoc